This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 622426 - generated menu could have dynamic terminal entries
generated menu could have dynamic terminal entries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openbox (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On: 617519 630653
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 06:19 EDT by Rudolf Kastl
Modified: 2010-09-15 23:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: openbox-3.4.11.2-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 23:49:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rudolf Kastl 2010-08-09 06:19:07 EDT
Description of problem:
instead of hardcoding the menu entries for Terminal in the openbox menu one could actually use the xdg desktop file category TerminalEmulator and only show entrys for terminals that have that category set.

Version-Release number of selected component (if applicable):
latest rawhide
Comment 1 Miroslav Lichvar 2010-09-06 09:51:03 EDT
I have tried using the xdg-menu script with a terminal.menu which includes only entries in the TerminalEmulator category.

It seems to work nicely here, but rxvt-unicode is missing (bug #617519), and gnome-terminal and the XFCE Terminal use both the same name "Terminal" which is confusing.
Comment 2 Rudolf Kastl 2010-09-06 10:38:20 EDT
yeah rxvt-unicode was already reported a while ago. i will ping andreas for that one again. 

the other bug is a generic one. the xfce terminal is called Terminal as projectname. the gnome guys used a generic name which conflicts... in the generated menus you have the same issues and they need to be sorted out. by the terminal and gnome-terminal maintainers. confusing things when trying to "unconfuse" them is probably not the way to go. -> terminal -> gnome-terminal.
Comment 3 Fedora Update System 2010-09-07 08:23:56 EDT
openbox-3.4.11.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openbox-3.4.11.2-3.fc14
Comment 4 Fedora Update System 2010-09-07 14:36:49 EDT
openbox-3.4.11.2-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openbox'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/openbox-3.4.11.2-3.fc14
Comment 5 Fedora Update System 2010-09-15 23:49:04 EDT
openbox-3.4.11.2-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.